package org.apache.ws.jaxme.generator.sg;

import org.apache.ws.jaxme.generator.Generator;
import org.apache.ws.jaxme.xs.XSAny;
import org.apache.ws.jaxme.xs.XSElement;
import org.apache.ws.jaxme.xs.XSEnumeration;
import org.apache.ws.jaxme.xs.XSGroup;
import org.apache.ws.jaxme.xs.XSObjectFactory;
import org.apache.ws.jaxme.xs.XSParser;
import org.apache.ws.jaxme.xs.XSSchema;
import org.apache.ws.jaxme.xs.XSType;
import org.apache.ws.jaxme.xs.xml.XsObjectFactory;
import org.apache.ws.jaxme.xs.xml.XsQName;
import org.xml.sax.SAXException;


public interface SGFactoryChain {
  



  public void init(SGFactory pController);

  public GroupSG[] getGroups(SGFactory pController);

  public TypeSG getTypeSG(SGFactory pController, XSType p0) throws SAXException;

  public TypeSG getTypeSG(SGFactory pController, XSType p0, Context p1, XsQName p2) throws SAXException;

  public TypeSG getTypeSG(SGFactory pController, XSType p0, XsQName p1) throws SAXException;

  public GroupSG getGroupSG(SGFactory pController, XSGroup p0) throws SAXException;

  public GroupSG getGroupSG(SGFactory pController, XSGroup p0, Context p1) throws SAXException;

  public ObjectSG getObjectSG(SGFactory pController, XSElement p0) throws SAXException;

  public ObjectSG getObjectSG(SGFactory pController, XSElement p0, Context p1) throws SAXException;

  public ObjectSG getObjectSG(SGFactory pController, XSAny p0, Context p1) throws SAXException;

  public TypeSG[] getTypes(SGFactory pController);

  public ObjectSG[] getObjects(SGFactory pController);

  public Generator getGenerator(SGFactory pController);

  public XsObjectFactory newXsObjectFactory(SGFactory pController) throws SAXException;

  public XSObjectFactory newXSObjectFactory(SGFactory pController) throws SAXException;

  public Object newSchemaSG(SGFactory pController, XSSchema p0) throws SAXException;

  public SchemaSG getSchemaSG(SGFactory pController, XSSchema p0) throws SAXException;

  public SchemaSG getSchemaSG(SGFactory pController);

  public Object newObjectSG(SGFactory pController, XSElement p0) throws SAXException;

  public Object newObjectSG(SGFactory pController, XSElement p0, Context p1) throws SAXException;

  public Object newObjectSG(SGFactory pController, XSAny p0);

  public GroupSG newGroupSG(SGFactory pController, XSGroup p0) throws SAXException;

  public GroupSG newGroupSG(SGFactory pController, XSGroup p0, Context p1) throws SAXException;

  public Object newTypeSG(SGFactory pController, XSType p0) throws SAXException;

  public Object newTypeSG(SGFactory pController, XSType p0, Context p1, XsQName p2) throws SAXException;

  public Object newTypeSG(SGFactory pController, XSType p0, XsQName p1) throws SAXException;

  public XSParser newXSParser(SGFactory pController) throws SAXException;

  public Facet newFacet(SGFactory pController, XSType p0, XSEnumeration[] p1) throws SAXException;

}
