package org.apache.ws.jaxme.generator.sg.impl;

import org.apache.ws.jaxme.generator.sg.AttributeSG;
import org.apache.ws.jaxme.generator.sg.ComplexContentSG;
import org.apache.ws.jaxme.generator.sg.ComplexTypeSG;
import org.apache.ws.jaxme.generator.sg.ComplexTypeSGChain;
import org.apache.ws.jaxme.generator.sg.Context;
import org.apache.ws.jaxme.generator.sg.SimpleContentSG;
import org.apache.ws.jaxme.generator.sg.TypeSG;
import org.apache.ws.jaxme.js.JavaSource;
import org.apache.ws.jaxme.xs.XSAttribute;
import org.apache.ws.jaxme.xs.XSWildcard;
import org.xml.sax.Locator;
import org.xml.sax.SAXException;


public class ComplexTypeSGImpl implements ComplexTypeSG {
  private ComplexTypeSGChain backingObject;


  public ComplexTypeSGImpl(ComplexTypeSGChain o) {
    if (o == null) {
      throw new NullPointerException("The supplied object must not be null.");
    }
    backingObject = o;
  }

  public void init() throws SAXException {
    backingObject.init(this);
  }

  public AttributeSG[] getAttributes() {
     return backingObject.getAttributes(this);
  }

  public Locator getLocator() {
     return backingObject.getLocator(this);
  }

  public Context getClassContext() {
     return backingObject.getClassContext(this);
  }

  public boolean hasAttributes() {
     return backingObject.hasAttributes(this);
  }

  public TypeSG getTypeSG() {
     return backingObject.getTypeSG(this);
  }

  public JavaSource getXMLInterface() throws SAXException {
     return backingObject.getXMLInterface(this);
  }

  public JavaSource getXMLInterface(JavaSource p0) throws SAXException {
     return backingObject.getXMLInterface(this, p0);
  }

  public void generateXMLInterfaceMethods(JavaSource p0) throws SAXException {
    backingObject.generateXMLInterfaceMethods(this, p0);
  }

  public JavaSource getXMLImplementation() throws SAXException {
     return backingObject.getXMLImplementation(this);
  }

  public JavaSource getXMLImplementation(JavaSource p0) throws SAXException {
     return backingObject.getXMLImplementation(this, p0);
  }

  public JavaSource getXMLSerializer() throws SAXException {
     return backingObject.getXMLSerializer(this);
  }

  public JavaSource getXMLSerializer(JavaSource p0) throws SAXException {
     return backingObject.getXMLSerializer(this, p0);
  }

  public JavaSource getXMLHandler() throws SAXException {
     return backingObject.getXMLHandler(this);
  }

  public JavaSource getXMLHandler(JavaSource p0) throws SAXException {
     return backingObject.getXMLHandler(this, p0);
  }

  public void generateXMLImplementationMethods(JavaSource p0) throws SAXException {
    backingObject.generateXMLImplementationMethods(this, p0);
  }

  public void generateXMLSerializerMethods(JavaSource p0) throws SAXException {
    backingObject.generateXMLSerializerMethods(this, p0);
  }

  public void generateXMLHandlerMethods(JavaSource p0) throws SAXException {
    backingObject.generateXMLHandlerMethods(this, p0);
  }

  public Object newAttributeSG(XSAttribute p0) throws SAXException {
     return backingObject.newAttributeSG(this, p0);
  }

  public Object newAttributeSG(XSWildcard p0) throws SAXException {
     return backingObject.newAttributeSG(this, p0);
  }

  public void addAttributeSG(AttributeSG p0) throws SAXException {
    backingObject.addAttributeSG(this, p0);
  }

  public boolean hasSimpleContent() {
     return backingObject.hasSimpleContent(this);
  }

  public Object newSimpleContentTypeSG() throws SAXException {
     return backingObject.newSimpleContentTypeSG(this);
  }

  public SimpleContentSG getSimpleContentSG() {
     return backingObject.getSimpleContentSG(this);
  }

  public Object newComplexContentTypeSG() throws SAXException {
     return backingObject.newComplexContentTypeSG(this);
  }

  public ComplexContentSG getComplexContentSG() {
     return backingObject.getComplexContentSG(this);
  }

  public ComplexTypeSGChain getHeadOfChain() {
    return backingObject;
  }

}
