package org.apache.ws.jaxme.generator.sg.impl;

import org.apache.ws.jaxme.generator.sg.Context;
import org.apache.ws.jaxme.generator.sg.GroupSG;
import org.apache.ws.jaxme.generator.sg.GroupSGChain;
import org.apache.ws.jaxme.generator.sg.ParticleSG;
import org.apache.ws.jaxme.generator.sg.SGFactory;
import org.apache.ws.jaxme.generator.sg.SchemaSG;
import org.apache.ws.jaxme.js.DirectAccessible;
import org.apache.ws.jaxme.js.JavaSource;
import org.apache.ws.jaxme.xs.XSParticle;
import org.xml.sax.Locator;
import org.xml.sax.SAXException;


public class GroupSGChainImpl implements GroupSGChain {
  private GroupSGChain backingObject;


  protected GroupSGChainImpl(GroupSGChain o) {
    if (o == null) {
      throw new NullPointerException("The supplied object must not be null.");
    }
    backingObject = o;
  }

  public void generate(GroupSG pController) throws SAXException {
    backingObject.generate(pController);
  }

  public Context getClassContext(GroupSG pController) throws SAXException {
     return backingObject.getClassContext(pController);
  }

  public JavaSource getXMLInterface(GroupSG pController) throws SAXException {
     return backingObject.getXMLInterface(pController);
  }

  public JavaSource getXMLImplementation(GroupSG pController) throws SAXException {
     return backingObject.getXMLImplementation(pController);
  }

  public boolean isGlobal(GroupSG pController) {
     return backingObject.isGlobal(pController);
  }

  public boolean isAll(GroupSG pController) {
     return backingObject.isAll(pController);
  }

  public boolean isChoice(GroupSG pController) {
     return backingObject.isChoice(pController);
  }

  public boolean isSequence(GroupSG pController) {
     return backingObject.isSequence(pController);
  }

  public void generateProperties(GroupSG pController, JavaSource p0) throws SAXException {
    backingObject.generateProperties(pController, p0);
  }

  public void generateXMLInterfaceSubclasses(GroupSG pController, JavaSource p0) throws SAXException {
    backingObject.generateXMLInterfaceSubclasses(pController, p0);
  }

  public void generateXMLImplementationSubclasses(GroupSG pController, JavaSource p0) throws SAXException {
    backingObject.generateXMLImplementationSubclasses(pController, p0);
  }

  public void generateXMLHandlersElements(GroupSG pController, JavaSource p0, DirectAccessible p1) throws SAXException {
    backingObject.generateXMLHandlersElements(pController, p0, p1);
  }

  public void generateXMLSerializersElements(GroupSG pController, JavaSource p0) throws SAXException {
    backingObject.generateXMLSerializersElements(pController, p0);
  }

  public ParticleSG[] getParticles(GroupSG pController) throws SAXException {
     return backingObject.getParticles(pController);
  }

  public Object newParticleSG(GroupSG pController, XSParticle p0) throws SAXException {
     return backingObject.newParticleSG(pController, p0);
  }

  public void init(GroupSG pController) throws SAXException {
    backingObject.init(pController);
  }

  public Locator getLocator(GroupSG pController) {
     return backingObject.getLocator(pController);
  }

  public SGFactory getFactory(GroupSG pController) {
     return backingObject.getFactory(pController);
  }

  public SchemaSG getSchema(GroupSG pController) {
     return backingObject.getSchema(pController);
  }

}
